> ## Documentation Index
> Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Statistics

> Get aggregated payment statistics across all developer's projects including subscription counts, payment counts, and revenue.



## OpenAPI

````yaml cloud-api/openapi.json get /api/v1/payments/stats
openapi: 3.1.0
info:
  title: Dev Kit for AI API
  description: 'API for Dev Kit for AI: Developer Toolkit for AI-Powered Web Applications'
  version: 1.6.1
servers:
  - url: https://api.devkit4ai.com
    description: Dev Kit for AI Production Server
  - url: https://api.vibecoding.ad
    description: Vibe Coding Production Server
security: []
paths:
  /api/v1/payments/stats:
    get:
      tags:
        - Payments
      summary: Get Payment Statistics
      description: >-
        Get aggregated payment statistics across all developer's projects
        including subscription counts, payment counts, and revenue.
      operationId: get_payment_stats_api_v1_payments_stats_get
      parameters:
        - name: test_mode
          in: query
          required: false
          schema:
            type: boolean
            description: Include test mode data
            default: true
            title: Test Mode
          description: Include test mode data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentStatsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaymentStatsResponse:
      properties:
        total_projects:
          type: integer
          title: Total Projects
        projects_with_config:
          type: integer
          title: Projects With Config
        projects_with_test:
          type: integer
          title: Projects With Test
        projects_with_live:
          type: integer
          title: Projects With Live
        total_subscriptions:
          type: integer
          title: Total Subscriptions
        active_subscriptions:
          type: integer
          title: Active Subscriptions
        total_payments:
          type: integer
          title: Total Payments
        successful_payments:
          type: integer
          title: Successful Payments
        total_revenue_cents:
          type: integer
          title: Total Revenue Cents
        currency:
          type: string
          title: Currency
          default: usd
      type: object
      required:
        - total_projects
        - projects_with_config
        - projects_with_test
        - projects_with_live
        - total_subscriptions
        - active_subscriptions
        - total_payments
        - successful_payments
        - total_revenue_cents
      title: PaymentStatsResponse
      description: Aggregated payment statistics.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/login

````